Eclipse Platform Release 3.7

## org.eclipse.ltk.ui.refactoring
Interface IChangePreviewViewer

    public interface IChangePreviewViewer

Viewer to present the preview for a `Change`.

Viewers are associated with a change object via the extension point `org.eclipse.ltk.ui.refactoring.changePreviewViewers`. Implementors of this extension point must therefore implement this interface.

To ensure visual consistency across all provided preview viewers the widget hierarchy provided through the method `createControl(Composite)` has to use a `ViewForm` as its root widget.

Clients of this interface should call `createControl` before calling `setInput`.

Since:
  3.0

Method Summary
`void` `createControl(Composite parent)` Creates the preview viewer's widget hierarchy.
`Control` `getControl()` Returns the preview viewer's SWT control.
`void` `setInput(ChangePreviewViewerInput input)` Sets the preview viewer's input element.

Method Detail

### createControl

    void createControl(Composite parent)

  Creates the preview viewer's widget hierarchy. This method is only called once. Method `getControl()` should be used to retrieve the widget hierarchy.

  Parameters:
    `parent` - the parent for the widget hierarchy
  See Also:
    `getControl()`

### getControl

    Control getControl()

  Returns the preview viewer's SWT control.

  Returns:
    the preview viewer's SWT control or `null` is the widget hierarchy hasn't been created yet

### setInput

    void setInput(ChangePreviewViewerInput input)

  Sets the preview viewer's input element.

  Parameters:
    `input` - the input element

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.